"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const controller_1 = require("../metadata/controller");
/**
 * Annotates this class as being a controller.
 * @param settings The controller settings.
 */
function controller(path) {
    return (target) => {
        controller_1.setControllerMetadata(target, {
            path
        });
    };
}
exports.controller = controller;
//# sourceMappingURL=controller.js.map